<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."infusion_title/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."post_alert/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."post_alert/locale/German.php";
}

// Infusion general information
$inf_title = $locale['rpl100'];
$inf_description = $locale['rpl101'];
$inf_version = "1.0";
$inf_developer = "Ays/cJoey";
$inf_email = "ronnie@lente.dk";
$inf_weburl = "http://www.lente.dk/testsite";

$inf_folder = "post_alert"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = $locale['rpl109']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "user_abo_list.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "posts_alert (
forum_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
forum_cat SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
thread_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
user_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (forum_id,forum_cat,thread_id,user_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "posts_alert";

?>
